Subject: Fwd: Looking to schedule multiple appointments
From: Release Concierge <[email-masked]>
To: release <[email-masked]>
Date: Wed, 5 Apr 2023 11:12:26 -0400

---------- Forwarded message ---------
From: Rachel Sullivan <[email-masked]>
Date: Wed, Apr 5, 2023 at 11:06 AM
Subject: Looking to schedule multiple appointments
To: <[email-masked]>

Hello!

So sorry to bother you! I hope all is well! I am looking to schedule "A Day
of Release" for myself and 2 of my girlfriends for either June 24th or June
25th whichever day has availability. Ideally, looking to have our services
all at the same time if possible.

I also left a voicemail but please feel free to reply back if email is
easier!

Looking forward to hearing from you!

-- 
Rachel Pallotta
[email-masked]
508.954.6377